﻿<%@ Page Title="Schedule Jobs Failed" Language="vb" AutoEventWireup="false" MasterPageFile="~/RSMasterPage.master" CodeBehind="ScheduleFailedJobs.aspx.vb" Inherits="RSWebApp.ScheduleFailedJobs" %>

<%@ Register Assembly="DevExpress.Web.v19.2, Version=19.2.15.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
	<div class="EditPageTitle">
		Failed Jobs:
	</div>
	<div class="topButtons">
		<asp:ObjectDataSource ID="ObjectDataSource1" runat="server" SelectMethod="GetFailedScheduleHistory" TypeName="Ripplestone.BLL.ScheduleHistory"></asp:ObjectDataSource>
		Other Views&nbsp;
		<asp:DropDownList ID="ddlViews" runat="server" Width="100px" AutoPostBack="False" Height="22px">
			<asp:ListItem Selected="True" Value="1">Job Queue</asp:ListItem>
			<asp:ListItem Value="2">Last Jobs Run</asp:ListItem>
		</asp:DropDownList>&nbsp;
		<dx:ASPxButton ID="btnOpenView" runat="server" Text="Open View"></dx:ASPxButton>&nbsp;
		<dx:ASPxButton ID="btnReturnTop" runat="server" Text="Return"></dx:ASPxButton>
	</div>
	<div class="grid">
		<dx:ASPxGridView ID="grdFailedJobs" runat="server" AutoGenerateColumns="False" Width="100%" DataSourceID="ObjectDataSource1" KeyFieldName="ID">
			<Columns>
				<dx:GridViewDataTextColumn FieldName="JobID" VisibleIndex="1">
				</dx:GridViewDataTextColumn>
				<dx:GridViewDataTextColumn FieldName="Status" VisibleIndex="5">
				</dx:GridViewDataTextColumn>
				<dx:GridViewDataDateColumn FieldName="StartTime" VisibleIndex="7">
                    <PropertiesDateEdit DisplayFormatString="" EditFormat="DateTime">
                    </PropertiesDateEdit>
				</dx:GridViewDataDateColumn>
				<dx:GridViewDataDateColumn FieldName="ScheduledStartTime" VisibleIndex="6">
                    <PropertiesDateEdit DisplayFormatString="" EditFormat="DateTime">
                    </PropertiesDateEdit>
				</dx:GridViewDataDateColumn>
				<dx:GridViewDataTextColumn FieldName="ExecutionTime" VisibleIndex="9" Caption="Time to Execute">
				</dx:GridViewDataTextColumn>
				<dx:GridViewDataTextColumn FieldName="JobMessage" VisibleIndex="12">
				</dx:GridViewDataTextColumn>
				<dx:GridViewDataTextColumn FieldName="JobDescription" VisibleIndex="2">
				</dx:GridViewDataTextColumn>
			</Columns>
			<SettingsPager>
				<PageSizeItemSettings ShowAllItem="True" Visible="True">
				</PageSizeItemSettings>
			</SettingsPager>
			<Settings ShowFilterRow="True" ShowGroupPanel="True" />
			<SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
			<SettingsSearchPanel Visible="True" ShowClearButton="True" />
		</dx:ASPxGridView>
	</div>
	<div class="bottomButtons">
		<dx:ASPxButton ID="btnReturnBottom" runat="server" Text="Return"></dx:ASPxButton>
	</div>
</asp:Content>
